Problem with apt update; signatures invalid?


#1

Hello,

I’m trying to apt- update/grade my Debian 9 VM but I’m getting errors:

$ sudo apt-get update
Ign:1 http://mirror.bytemark.co.uk/debian stretch InRelease
Hit:2 http://mirror.bytemark.co.uk/debian stretch-updates InRelease                                        
Ign:3 http://repo.bytemark.co.uk/operations/3ware-raid/master/latest/stretch ./ InRelease                  
Hit:4 http://mirror.bytemark.co.uk/debian stretch Release                             
Hit:5 http://security.debian.org/debian-security stretch/updates InRelease
Ign:6 http://repo.bytemark.co.uk/operations/hp-raid/master/latest/stretch ./ InRelease
Hit:7 http://repo.bytemark.co.uk/operations/3ware-raid/master/latest/stretch ./ Release
Hit:8 http://repo.bytemark.co.uk/operations/hp-raid/master/latest/stretch ./ Release
Err:10 http://repo.bytemark.co.uk/operations/3ware-raid/master/latest/stretch ./ Release.gpg
  The following signatures were invalid: EXPKEYSIG 20A4FABBAD1D9C6E Bytemark Hosting automatic repository signing key (2014) <repositories@bytemark.co.uk>
Err:11 http://repo.bytemark.co.uk/operations/hp-raid/master/latest/stretch ./ Release.gpg
  The following signatures were invalid: EXPKEYSIG 20A4FABBAD1D9C6E Bytemark Hosting automatic repository signing key (2014) <repositories@bytemark.co.uk>
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://repo.bytemark.co.uk/operations/3ware-raid/master/latest/stretch ./ Release: The following signatures were invalid: EXPKEYSIG 20A4FABBAD1D9C6E Bytemark Hosting automatic repository signing key (2014) <repositories@bytemark.co.uk>
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://repo.bytemark.co.uk/operations/hp-raid/master/latest/stretch ./ Release: The following signatures were invalid: EXPKEYSIG 20A4FABBAD1D9C6E Bytemark Hosting automatic repository signing key (2014) <repositories@bytemark.co.uk>
W: Failed to fetch http://repo.bytemark.co.uk/operations/3ware-raid/master/latest/stretch/./Release.gpg  The following signatures were invalid: EXPKEYSIG 20A4FABBAD1D9C6E Bytemark Hosting automatic repository signing key (2014) <repositories@bytemark.co.uk>
W: Failed to fetch http://repo.bytemark.co.uk/operations/hp-raid/master/latest/stretch/./Release.gpg  The following signatures were invalid: EXPKEYSIG 20A4FABBAD1D9C6E Bytemark Hosting automatic repository signing key (2014) <repositories@bytemark.co.uk>
W: Some index files failed to download. They have been ignored, or old ones used instead.

I’ve been through my entire problem/resolution check-list… twice… but to no avail!

Problem/Resolution Check-list:

  1. Wait a bit and try it later in the hope that it’s been fixed

So that’s that! :smiley:
Otherwise, everything is working fine and there’s no particular urgency for me at present.

FYI This VM was freshly imaged late January and has had a few apt update/upgrade cycles since then with no issues.


#2

Hi Peter,

Sorry for the inconvenience there! It looks like this was due to the GPG keys expiring on the Bytemark package repositories.

Please could you run the following command, and then give the sudo apt-get update another go?

wget -O- https://secure.bytemark.co.uk/key/repositories-2014.key | sudo apt-key add -


#3

Thanks Andrew - that fixed it!! :smiley: